# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	LiteNEasy (CMS)
Name:		lne
Version:		3.2.4
Release:	%mkrel 1
License:		GPLv2+
Group:		System/Servers
URL:		http://lightneasy.org/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	apache-base >= 2.2.17
BuildRequires:	file
BuildRequires:	unzip
Requires(pre):	apache-mod_php php-mysql php-gd php-xml
Requires:		apache-mod_php php-mysql php-gd php-xml
BuildArch:	noarch
Obsoletes:	name < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LightNEasy is not only a CMS, It actually creates plain, pure
web pages for your whole website, making it SEO friendly and
fast loading. Each time you add a page, alter the menus, it
regenerates all pages again so that they remain fully integrated.

Search engines, like Google, prefer simple HTML or PHP pages
and simple links to follow from page to page. LightNEasy in fact
generates all the pages of your website, and what search engines 
find is a series of pure pages that link to other pages, instead of
some fancy php scripts and strange urls.

LightNEasy was created for developing and maintaining private or
small commercial websites. Depending on your programming skills,
however, LightNEasy can be the framework of virtually any website.


%prep

%setup -q -n lne


%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/var/www/html/lne
cp -aRf * %{buildroot}/var/www/html/lne


%post
%_post_webapp
echo
echo "Point your browser to http://127.0.0.1/lne to configure LiteNEasy"
echo
chmod 777 /var//www/html/lne

%postun
%_postun_webapp



%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*

%changelog
* Sat Jun 11 2011 Archie <pclinuxos.ph at gmail dot com>
- Create package

